Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.commands
Class RecordCommand

The 'record' command.

version:
  $Id: RecordCommand.groovy 8432 2007-10-07 08:55:37Z user57 $

author:
  Jason Dillon

Field Summary
`def` | `do_start`
`def` | `do_status`
`def` | `do_stop`
`File` | `file`
`PrintWriter` | `writer`

Constructor Summary
`RecordCommand(Shell shell)`

Method Summary
`boolean` | `isRecording()`
`def` | `recordError(Throwable cause)`
`def` | `recordInput(String line)`
`def` | `recordResult(Object result)`

Constructor Detail

### RecordCommand

    public RecordCommand(Shell shell)

Method Detail

### isRecording

    boolean isRecording()

### recordError

    public def recordError(Throwable cause)

### recordInput

    public def recordInput(String line)

### recordResult

    public def recordResult(Object result)